Project

General

Profile

action #37324

coordination #36712: [saga] Use YaST specific framework for GUI testing

[sle][functional][y][hard] Fix YCP framework to conduct simple installation

Added by riafarov over 3 years ago. Updated 9 months ago.

Status:
Resolved
Priority:
Normal
Assignee:
Target version:
SUSE QA - Milestone 18
Start date:
2018-06-13
Due date:
2018-08-14
% Done:

0%

Estimated time:
8.00 h

Description

Motivation

YCP hasn't been used for it's original purpose of integration tests for a while and some things got broken, so playing script which simply clicks Next on every page doesn't work.
As a first step we need to introduce fixes to be able to conduct full installation using YCP.

See parent epic for more details.

Acceptance criteria

  1. It's possible to conduct full installation using YCP script

History

#1 Updated by riafarov over 3 years ago

  • Status changed from New to Workable

#2 Updated by okurz over 3 years ago

  • Category set to New test
  • Target version set to Milestone 17

#3 Updated by okurz over 3 years ago

  • Target version changed from Milestone 17 to Milestone 17

#4 Updated by riafarov over 3 years ago

  • Subject changed from [sle][functional][y] Fix YCP framework to conduct simple installation to [sle][functional][y][hard] Fix YCP framework to conduct simple installation

#5 Updated by JERiveraMoya over 3 years ago

  • Estimated time set to 8.00 h

#6 Updated by cwh over 3 years ago

  • Status changed from Workable to In Progress
  • Assignee set to cwh

#7 Updated by riafarov over 3 years ago

  • Due date changed from 2018-07-03 to 2018-07-17

#8 Updated by cwh over 3 years ago

Implemented a first version of the widget-ID version.
http://boltzmann.suse.de/tests/98#

Next I will create a YCP macro for the same module.

#9 Updated by riafarov over 3 years ago

  • Due date changed from 2018-07-17 to 2018-07-31

#10 Updated by okurz over 3 years ago

  • Target version changed from Milestone 17 to Milestone 18

#11 Updated by riafarov over 3 years ago

  • Due date changed from 2018-07-31 to 2018-08-14

#12 Updated by riafarov over 3 years ago

  • Status changed from In Progress to Closed

This ticket was aiming mainly evaluating how far we are from using YCP for the installer, and we are quite far. So I suggest to resolve this ticket and aim YaST modules first, and then trying things out with installer.
So let's aim https://progress.opensuse.org/issues/37327 as a first step.

#13 Updated by riafarov about 1 year ago

  • Project changed from qe-yast to openQA Tests

#14 Updated by riafarov 9 months ago

  • Status changed from Closed to Resolved

Also available in: Atom PDF